





#ifndef XANIMNOTIFYINFO_H
#define XANIMNOTIFYINFO_H

#include "xasset.h"

class XAnimNotifyInfo : public XAsset
{
public:
    explicit XAnimNotifyInfo();

    void ParseData(QDataStream *aStream) override;

    quint16 GetName() const;
    void SetName(quint16 name);

    float GetTime() const;
    void SetTime(float time);

private:
    quint16 mName = 0;
    float mTime = 0.0f;
};

#endif // XANIMNOTIFYINFO_H





